# studio::DockManager Class Reference

`#include <dockmanager.h>`

List of all members.

## Public Member Functions

| DockManager ()
| ~DockManager ()
DockDialog & | find_dock_dialog (int id)
const DockDialog & | find_dock_dialog (int id) const
sigc::signal< void, Dockable * > & | signal_dockable_registered ()
void | register_dockable (Dockable &x)
bool | unregister_dockable (Dockable &x)
Dockable & | find_dockable (const synfig::String &x)
void | present (synfig::String x)

## Friends

class | Dockable
class | DockDialog
class | DockSettings

## Constructor & Destructor Documentation

DockManager::DockManager | ( |  | ) |

DockManager::~DockManager | ( |  | ) |

## Member Function Documentation

DockDialog & DockManager::find_dock_dialog | ( | int | id | ) |

References DockDialog, and studio::DockDialog::set_id().

const DockDialog & DockManager::find_dock_dialog | ( | int | id | ) | const

sigc::signal<void,Dockable*>& studio::DockManager::signal_dockable_registered | ( |  | ) | `[inline]`

Referenced by register_dockable(), and studio::Toolbox::Toolbox().

void DockManager::register_dockable | ( | Dockable & | x | ) |

References signal_dockable_registered().

Referenced by studio::App::App(), and studio::ModPalette::start_vfunc().

bool DockManager::unregister_dockable | ( | Dockable & | x | ) |

References studio::Dockable::detach(), and studio::Dockable::get_name().

Referenced by studio::ModPalette::stop_vfunc().

Dockable & DockManager::find_dockable | ( | const synfig::String & | x | ) |

Referenced by present(), and studio::DockBook::set_contents().

void DockManager::present | ( | synfig::String | x | ) |

References find_dockable(), and studio::Dockable::present().

## Friends And Related Function Documentation

friend class Dockable `[friend]`

friend class DockDialog `[friend]`

Referenced by find_dock_dialog().

friend class DockSettings`[friend]`

The documentation for this class was generated from the following files:

- dockmanager.h
- dockmanager.cpp